import { ButtonDesign } from '../../models/button-design';
export declare class Button {
    private el;
    color?: string;
    design?: ButtonDesign;
    icon?: string;
    iconSpin?: boolean;
    block?: boolean;
    small?: boolean;
    hasFocus?: boolean;
    upload?: boolean;
    disabled: boolean;
    form?: string;
    formAction?: string;
    formEnctype?: 'application/x-www-form-urlencoded' | 'multipart/form-data' | 'text/plain';
    formMethod?: 'get' | 'post';
    formTarget?: string;
    type: 'button' | 'reset' | 'submit';
    private _iconOnly;
    private handleBlur;
    private handleFocus;
    private handleMouseDown;
    private handleSlotChange;
    componentWillLoad(): void;
    componentDidLoad(): void;
    renderIcon(): any;
    render(): any;
}
